Grant warehouse access
Grants access for a store to a warehouse.
Required permissions: WAREHOUSE
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/access
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+warehouseUidstringRequiredPattern:
Reference to a Warehouse.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
rolestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| DELIVER | Can deliver products using stock from this warehouse. |
| MOVE | Can move stock to and from this warehouse. |
| RECEIVE | Can receive purchase orders to this warehouse. |
| RESERVE | Can make stock reservations from this warehouse. |
| RETURN | Can return stock to this warehouse. |
| SHIP | Can reserve stock in this warehouse so the owning store ships it to the customer. |
| VIEW | Only able to view quantity. |
storeUidstringRequiredPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
rolestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| DELIVER | Can deliver products using stock from this warehouse. |
| MOVE | Can move stock to and from this warehouse. |
| RECEIVE | Can receive purchase orders to this warehouse. |
| RESERVE | Can make stock reservations from this warehouse. |
| RETURN | Can return stock to this warehouse. |
| SHIP | Can reserve stock in this warehouse so the owning store ships it to the customer. |
| VIEW | Only able to view quantity. |
storeUidstringOptionalPattern:
^[A-Za-z0-9-_]+warehouseAccessUidstringRequiredPattern:
^[A-Za-z0-9-_]+post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/access
POST /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/access HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"role": "DELIVER",
"storeUid": "text"
}200
Example response
{
"role": "DELIVER",
"storeUid": "text",
"warehouse": {
"createdAt": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"warehouseUid": "text",
"accessList": [
{
"role": "DELIVER",
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text",
"warehouseAccessUid": "text"
}
]
},
"warehouseAccessUid": "text"
}Last updated
Was this helpful?

